# AbstractCodeFunction class

(Shortest import: `from brian2.parsing.functions import AbstractCodeFunction)`

class brian2.parsing.functions.AbstractCodeFunction(name, args, code, return_expr)

  Bases: `object`

  The information defining an abstract code function

  Has attributes corresponding to initialisation parameters

  Parameters:

    name : str

    > The function name.

    args : list of str

    > The arguments to the function.

    code : str

    > The abstract code string consisting of the body of the function less the return statement.

    return_expr : str or None

    > The expression returned, or None if there is nothing returned.